import { jsx } from "react/jsx-runtime";
import { TokenGTC as TokenGTC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGTC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GTC", "data-name": "TokenGTC", ...props, children: /* @__PURE__ */ jsx(TokenGTC$1, { variant }) });
  }
);
TokenGTC.displayName = "TokenGTC";
Object.assign(TokenGTC, { isGdsIcon: true });
export {
  TokenGTC
};
